package com.gingersoft.gsa.cloud.pay.device.pos.hyweb.bean.response.pos;

import android.os.Parcel;
import android.os.Parcelable;

import lombok.Data;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2019/7/19
 * 修订历史：2019/7/19
 * 描述：
 */
@Data
public class SettlementRespose  extends HywebPosResponse implements Parcelable {

    public SettlementRespose() {
    }

    /**
     * EVENT_NAME : SETTLE_RESP
     * STATUS : 09
     */


    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        super.writeToParcel(dest, flags);
    }

    protected SettlementRespose(Parcel in) {
        super(in);
    }

    public static final Creator<SettlementRespose> CREATOR = new Creator<SettlementRespose>() {
        @Override
        public SettlementRespose createFromParcel(Parcel source) {
            return new SettlementRespose(source);
        }

        @Override
        public SettlementRespose[] newArray(int size) {
            return new SettlementRespose[size];
        }
    };
}
